QXmppBindIq Class Reference
Stanzas

The QXmppBindIq class represents an IQ used for resource binding as defined by RFC 5921. More...

`#include <QXmppBindIq.h>`

Inheritance diagram for QXmppBindIq:

List of all members.

## Public Member Functions

QString | jid () const
void | setJid (const QString &)
QString | resource () const
void | setResource (const QString &)

## Detailed Description

The QXmppBindIq class represents an IQ used for resource binding as defined by RFC 5921.

## Member Function Documentation

QString QXmppBindIq::jid | ( |  | ) | const

Returns the bound JID.

QString QXmppBindIq::resource | ( |  | ) | const

Returns the requested resource.

void QXmppBindIq::setJid | ( | const QString & | jid | ) |

Sets the bound JID.

Parameters:

  jid |

void QXmppBindIq::setResource | ( | const QString & | resource | ) |

Sets the requested resource.

Parameters:

  resource |

The documentation for this class was generated from the following files:

- QXmppBindIq.h
- QXmppBindIq.cpp

All Classes Functions Enumerations Enumerator Properties